Subject: Re: bug#34821: discard_input_tty does not discard pending input, resulting in garbage inserted into the buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Apr 2019 19:37:09 +0300

> From: Platon Pronko <[email-masked]>
> Date: Sun, 7 Apr 2019 19:06:52 +0300
> 
> Can somebody please advise me about the right course of action in this case? Should I figure out a way to load Vinput_decode_map when new character arrives and `interrupted_kboard != current_kboard`? Or should I look into why read_char() does not return a buffer the second time?

The latter, I think.  But I'm far from being an expert on this, so
caveat emptor.

Thanks for looking into this tricky problem.